# MS-Connector v1.6.0 Release vom 22.05.2024

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Features
      - UX Anpassungen entsprechend aktuellem BMI Layout
      - Error-Handling entsprechend dem abstimmten Konzept umgesetzt
      - Anpassung der Länderauswahl entsprechend öffentlichen/privaten Service-Providern
  - Code Clean-Up
      - Unterstützung für Anmeldung entsprechend Bürgerkartenkonzept entfernt
      - Unterstützung alter IDA AuthBlock Formate entfernt
  - Logging optimiert
  - Aktualisierung von Drittherstellerbibliotheken
    - Spring-Framework 5.3.34
    - Apache CXF 3.5.8
    - commons-io 2.16.1
    - commons-text 1.12.0
    - jackson 2.17.1
    - woodstox-core 6.5.1
    - log4j 2.23.1


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.5.0. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.5.0 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.6.0-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde
   
   * Vollständige Übernahme: __MsConnectorPackage__/config/misc/error_conf.yaml
   * Vollständige Übernahme: __MsConnectorPackage__/config/properties/*
   * Vollständige Übernahme: __MsConnectorPackage__/config/templates/*
   * Vollständige Übernahme: __MsConnectorPackage__/config/webcontent/*
5. Neue Konfigurationsparameter
   - ```eidas.ms.auth.eIDAS.node_v2.proxyservices.countries```
   - ```eidas.ms.auth.eIDAS.node_v2.proxyservices.privatesp.notsupported```
6. Optionale neue Konfigurationsparameter
   - ```eidas.ms.core.error.handling.config```
7. Entfernte Konfigurationsparameter
   - ```auth.eIDAS.authblock.use.legacy.version```
   - ```eidas.ms.auth.eIDAS.node_v2.proxyservices.privatesp.notsupported```
   - ```eidas.ms.core.logging.level.info.errorcodes```

